Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 22/01/2018, à 19:58

Saturnin51

[RES]Compilation de Qtractor

Je cherche à installer Qtractor sous Ubuntu 16.04.3LTS. Le configure et le make se sont exécutés, mais pas le sudo make install:

robert@robert-M11AD:~/qtractor-git$ sudo make install
lupdate: could not exec '/usr/lib/x86_64-linux-gnu/qt5/bin/lupdate' since it links to lupdate itself. Check your installation.
Makefile:332 : la recette pour la cible « translations_lupdate » a échouée
make: *** [translations_lupdate] Erreur 1

J'ai regardé la ligne 332 du makefile. Juste avant on a un export de la variable LUPDATE=/usr/bin/lupdate,  utilisée ensuite ligne 332.

??

Dernière modification par Saturnin51 (Le 14/02/2018, à 11:59)

Hors ligne

#2 Le 22/01/2018, à 22:09

Saturnin51

Re : [RES]Compilation de Qtractor

Je cherche à installer Qtractor sous Ubuntu 16.04.3LTS. Le configure et le make se sont exécutés, mais pas le sudo make install:

robert@robert-M11AD:~/qtractor-git$ sudo make install
lupdate: could not exec '/usr/lib/x86_64-linux-gnu/qt5/bin/lupdate' since it links to lupdate itself. Check your installation.
Makefile:332 : la recette pour la cible « translations_lupdate » a échouée
make: *** [translations_lupdate] Erreur 1

J'ai regardé la ligne 332 du makefile. Juste avant on a un export de la variable LUPDATE=/usr/bin/lupdate,  utilisée ensuite ligne 332.

??

Dernière modification par Saturnin51 (Le 14/02/2018, à 11:58)

Hors ligne

#3 Le 22/01/2018, à 22:45

Funix

Re : [RES]Compilation de Qtractor

visiblement tu as un problème avec la commande lupdate qui est un lien vers elle même !


FUNIX - http://www.funix.org
Mettez un pingouin dans votre PC
Blog - http://olivier.hoarau.org

Hors ligne

#4 Le 22/01/2018, à 22:49

Saturnin51

Re : [RES]Compilation de Qtractor

J'avais recopié lupdate à l'endroit indiqué. Je l'ai supprimé et il reste cela:

lupdate: could not exec '/usr/lib/x86_64-linux-gnu/qt5/bin/lupdate': No such file or directory
Makefile:332 : la recette pour la cible « translations_lupdate » a échouée
make: *** [translations_lupdate] Erreur 1

Dernière modification par Saturnin51 (Le 22/01/2018, à 23:26)

Hors ligne

#5 Le 23/01/2018, à 13:24

J5012

Re : [RES]Compilation de Qtractor

whereis lupdate

si le binaire "lupdate" ne se trouve pas dans le chemin du systeme , mais ailleurs? , tu dois modifier la variable "LUPDATE" en consequence ...

Hors ligne

#6 Le 23/01/2018, à 14:10

Saturnin51

Re : [RES]Compilation de Qtractor

Bonjour,

dans un premier temps j'ai copié lupdate de /urs/bin vers ..../qt5/bin et j'ai obtenu ce message.
J'ai supprimé dans un second temps lupdate de ...qt5/bin et là j'ai un message qui dit qu'il ne trouve pas lupdate alors que la variable LUPDATE est initialisé dans le makefile avec /usr/bin !!!! Pourquoi le chercher dans qt5/bin ?

lupdate: could not exec '/usr/lib/x86_64-linux-gnu/qt5/bin/lupdate': No such file or directory
Makefile:332 : la recette pour la cible « translations_lupdate » a échouée
make: *** [translations_lupdate] Erreur 1

Je vais recopier lupdate dans qt5/bin et le virer de /usr/bin en désespoir de cause.  As-tu besoin du Makefile ?

Dernière modification par Saturnin51 (Le 23/01/2018, à 14:15)

Hors ligne

#7 Le 23/01/2018, à 18:06

Krabosek

Re : [RES]Compilation de Qtractor

Bonjour,

Dans l'arborescence, je trouve :

grall@grall-G31T-M7:~$ whereis lupdate
lupdate: /usr/bin/lupdate
grall@grall-G31T-M7:~$ cd /usr/bin
grall@grall-G31T-M7:/usr/bin$ ls -l lupda*
lrwxrwxrwx 1 root root 9 oct.   4  2016 lupdate -> qtchooser
grall@grall-G31T-M7:/usr/bin$ ls qtchoos*
qtchooser
grall@grall-G31T-M7:/usr/bin$ ls -l qtchoos*
-rwxr-xr-x 1 root root 39640 déc.   9  2015 qtchooser
grall@grall-G31T-M7:/usr/bin$ 

Si ça peux te servir....


Bientôt tu auras tout oublié; bientôt tous t'auront oublié.
Marc-Aurèle

Hors ligne

#8 Le 23/01/2018, à 19:32

Saturnin51

Re : [RES]Compilation de Qtractor

Je fais quoi ? N'étant  pas un programmeur mais seulement un utilisateur je ne sais pas quoi faire.

Je rajoute le passage incriminé du makefile:

export QMAKE = /usr/lib/x86_64-linux-gnu/qt5/bin/qmake
export LUPDATE = /usr/bin/lupdate
export LRELEASE = /usr/bin/lrelease
all:	$(target)
$(target):	$(name).mak $(resources) ${forms} $(sources) $(headers)
	@$(MAKE) -f $(name).mak
$(name).mak:	$(name).pro
	@$(QMAKE) -o $(name).mak $(name).pro
translations_lupdate:	$(name).pro
	@$(LUPDATE) -verbose -no-obsolete $(name).pro
translations_lrelease:	translations_lupdate $(translations_targets)

Dernière modification par Saturnin51 (Le 23/01/2018, à 22:40)

Hors ligne

#9 Le 24/01/2018, à 21:18

J5012

Re : [RES]Compilation de Qtractor

@saturnin : tu as vraiment besoin de compiler cette version ?

tu dis toi-meme que tu es utilisateur ... il ya des binaires deja compilés ...

edit pour le binaire appimage : https://sourceforge.net/projects/qtract … tor/0.8.5/

Dernière modification par J5012 (Le 24/01/2018, à 21:25)

Hors ligne

#10 Le 24/01/2018, à 22:46

Saturnin51

Re : [RES]Compilation de Qtractor

OK j'ai vu cet app. Je l'ai chargé. Une fois lancé et bien ce n'est pas du tout cuit. Jack est lancé correctement. Qtractor tourne en boucle, fenêtre vide. Et c'est tout

Hors ligne

#11 Le 25/01/2018, à 09:16

bishop

Re : [RES]Compilation de Qtractor

Salut Saturnin51 !

Tu peux aussi essayer le paquet qtractor_0.8.5-1kxstudio1v5_amd64.deb proposé dans le PPA pour Xenial 16.04 'Packages in “GCC 5” du “KXStudio Debian” team'.

1) Tu supprimes et tu fais le ménage de tes précédente installations de Qtractor sans oublier de supprimer le dossier caché de qtractor qui doit se trouver dans ton dossier personnel (ou .config ou .local/share).


2) Tu télécharges le paquet :

cd && wget -q https://launchpad.net/~kxstudio-debian/+archive/ubuntu/gcc5/+files/qtractor_0.8.5-1kxstudio1v5_amd64.deb

3) Puis tu l'installes (commande à exécuter dans le même Terminal que ci-dessus) :

sudo dpkg -i qtractor_0.8.5-1kxstudio1v5_amd64.deb && sudo apt-get install -f

Et tu dis quoi... roll

Dernière modification par bishop (Le 25/01/2018, à 09:23)


Mon blog L'effet Papy Ion | Éditeur BBCode | Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#12 Le 25/01/2018, à 14:00

Saturnin51

Re : [RES]Compilation de Qtractor

En installant directement le fichier = dépendance non satisfaite suil-libs.

En tapant la commande d'install:

robert@robert-M11AD:~/Téléchargements$ sudo dpkg -i qtractor_0.8.5-1kxstudio1v5_amd64.deb && sudo apt-get install -f
[sudo] Mot de passe de robert : 
Sélection du paquet qtractor précédemment désélectionné.
(Lecture de la base de données... 351476 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de qtractor_0.8.5-1kxstudio1v5_amd64.deb ...
Dépaquetage de qtractor (2:0.8.5-1kxstudio1v5) ...
dpkg: des problèmes de dépendances empêchent la configuration de qtractor :
 qtractor dépend de suil-libs ; cependant :
  Le paquet suil-libs n'est pas installé.

dpkg: erreur de traitement du paquet qtractor (--install) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-0ubuntu1) ...
Traitement des actions différées (« triggers ») pour shared-mime-info (1.5-2ubuntu0.1) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Traitement des actions différées (« triggers ») pour man-db (2.7.5-1) ...
Des erreurs ont été rencontrées pendant l'exécution :
 qtractor

Donc même punition dans les deux cas ! Je précise que je suis sous Ubuntu-Mate et non KDE.

Dernière modification par Saturnin51 (Le 25/01/2018, à 14:02)

Hors ligne

#13 Le 25/01/2018, à 14:20

J5012

Re : [RES]Compilation de Qtractor

les libs suil sont requises pour toute compilation : voir le readme du source :
https://sourceforge.net/p/qtractor/code … ree/README

en #1 , avant de faire ton "sudo make install" , avais tu fait le "./configure" puis le "make" ??

Hors ligne

#14 Le 25/01/2018, à 15:10

Saturnin51

Re : [RES]Compilation de Qtractor

Oui j'avais fait ./configure puis make.

Hors ligne

#15 Le 25/01/2018, à 16:33

bishop

Re : [RES]Compilation de Qtractor

Saturnin51 a écrit :

En installant directement le fichier = dépendance non satisfaite suil-libs.

En tapant la commande d'install:

robert@robert-M11AD:~/Téléchargements$ sudo dpkg -i qtractor_0.8.5-1kxstudio1v5_amd64.deb && sudo apt-get install -f
[sudo] Mot de passe de robert : 
Sélection du paquet qtractor précédemment désélectionné.
(Lecture de la base de données... 351476 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de qtractor_0.8.5-1kxstudio1v5_amd64.deb ...
Dépaquetage de qtractor (2:0.8.5-1kxstudio1v5) ...
dpkg: des problèmes de dépendances empêchent la configuration de qtractor :
 qtractor dépend de suil-libs ; cependant :
  Le paquet suil-libs n'est pas installé.

dpkg: erreur de traitement du paquet qtractor (--install) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.15-0ubuntu1) ...
Traitement des actions différées (« triggers ») pour shared-mime-info (1.5-2ubuntu0.1) ...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
Traitement des actions différées (« triggers ») pour man-db (2.7.5-1) ...
Des erreurs ont été rencontrées pendant l'exécution :
 qtractor

Donc même punition dans les deux cas ! Je précise que je suis sous Ubuntu-Mate et non KDE.

Ça ne change rien que tu sois sur Mate et non KDE.

Installe la lib demandée :

sudo apt install libsuil-0-0

Le cas échéant :

sudo apt install libsuil-dev

Puis, si ce n'est pas fait automatiquement (pour les dépendances) :

sudo apt-get install -f

Mon blog L'effet Papy Ion | Éditeur BBCode | Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#16 Le 25/01/2018, à 18:39

Saturnin51

Re : [RES]Compilation de Qtractor

Les deux sont déjà installés. Mais ça ne change rien.

robert@robert-M11AD:~$ sudo apt install libsuil-0-0
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libsuil-0-0 est déjà la version la plus récente (0.8.2~dfsg0-1).
libsuil-0-0 passé en « installé manuellement ».
0 mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.
robert@robert-M11AD:~$ sudo apt install libsuil-dev
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
libsuil-dev est déjà la version la plus récente (0.8.2~dfsg0-1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.
robert@robert-M11AD:~$ sudo apt install -f
[sudo] Mot de passe de robert : 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 2 non mis à jour.

LE DEB demande toujours suil-libs

Dernière modification par Saturnin51 (Le 25/01/2018, à 18:55)

Hors ligne

#17 Le 25/01/2018, à 19:28

bishop

Re : [RES]Compilation de Qtractor

Il semblerait qu'il y a problème avec cette ancienne librairie sur Xenial 16.04, voir : https://www.linuxmusicians.com/viewtopi … =15#p77538.

suil-libs et suil-static sont proposées dans le dépôt KXStudio Debian” team (pour Trusty 14.04) mais à la lecture des postes sur linuxmusicians (lien précédent) il semblerait qu'il y a un problème de dépendances sur Xenial 16.04 avec ces libs.


Mon blog L'effet Papy Ion | Éditeur BBCode | Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#18 Le 25/01/2018, à 19:41

bishop

Re : [RES]Compilation de Qtractor

Ou alors essayer avec Suil 0.10.0 que tu auras compilé.


Mon blog L'effet Papy Ion | Éditeur BBCode | Moteurs de recherche : PPA Personal Package Archives for Ubuntu, Dépôts Ubuntu Ubuntu Packages Search

Hors ligne

#19 Le 26/01/2018, à 10:34

Saturnin51

Re : [RES]Compilation de Qtractor

J'ai installé suil 0.10.0, pas de changement. libsuil-0.0 version 0.8.2 et libsuil-dev sont installés.

Jusqu'à maintenant j'utilise Cubase Audio (3 disquettes 720ko à recopier sur le disque dur et c'est tout!) sur un ATARI Falcon âgé de 23 ans ! Tous fonctionne au poil sans un seul plantage. C'est un peu vintage mais pour ce que j'ai à faire ça me suffit.

C'est dire si je trouve décourageant de faire la même chose sous Linux et ce n'est pas ma première tentative !

Hors ligne

#20 Le 26/01/2018, à 13:02

J5012

Re : [RES]Compilation de Qtractor

Saturnin51 a écrit :

Oui j'avais fait ./configure puis make.

et tu peux copier coller ici la sortie du "./configure" puis cellle du "make" ?

par ce que la commande finale "sudo make install" ne realise pas de compilation ... elle ne fait que copier les diferentes libs et binaires de qtractor aux bons endroits du systeme ...

si tu as des erreurs dans le "./configure" , il est fortement conseillé de les resoudre ... sinon la compilation par le "make" echoue ... , et bien sur le "sudo make install" aussi ...

Hors ligne

#21 Le 26/01/2018, à 13:20

Saturnin51

Re : [RES]Compilation de Qtractor

le configure et le make se sont déroulés sans encombres la première fois.  Je vais refaire et poster le CR.

Hors ligne

#22 Le 26/01/2018, à 13:24

J5012

Re : [RES]Compilation de Qtractor

Saturnin51 a écrit :

le configure et le make se sont déroulés sans encombres la première fois.  Je vais refaire et poster le CR.

il n'y a pas de raison technique que le "sudo make install" echoue ...

tu devrais avoir un dossier de build apres le "./configure" et le "make" du genre :

./build/etc
./build/usr/bin
./build/usr/local/bin
./build/libs
...

Hors ligne

#23 Le 26/01/2018, à 14:40

Saturnin51

Re : [RES]Compilation de Qtractor

J'ai installé tous les packages manquants.  Voilà le rapport du ./configure ICI et celui du make (il manque le début) LA.

Hors ligne

#24 Le 26/01/2018, à 14:46

J5012

Re : [RES]Compilation de Qtractor

il n'y a de fichier make.txt dans ton arborescence free ...

Hors ligne

#25 Le 26/01/2018, à 15:39

Saturnin51

Re : [RES]Compilation de Qtractor

C'est corrigé.

Hors ligne